<div class="title">
  <h2 mat-dialog-title style="margin: 0; flex-grow: 1;">{{ institut.title }}</h2>

  <button mat-icon-button aria-label="delete" style="margin: 10px 10px 0 0;" (click)="deleteInstitute()">
    <mat-icon>delete</mat-icon>
  </button>
  <button mat-icon-button aria-label="Close" mat-dialog-close style="margin: 10px 10px 0 0;">
    <mat-icon>close</mat-icon>
  </button>
</div>

<mat-dialog-content class="mat-typography">
  <p>{{institut.description}}</p>

  <div class="institutList">
    <ng-container *ngFor="let profile of allProfiles$ | async">
      <ng-container *ngIf="this.institut.members">
        <app-item-card
          *ngIf="this.institut.members.includes(profile.id)"
          [routerLink]="'/profiles/' + profile.id"
          [shortcut]="profile.shortcut"
          [title]="profile.title"
          [logo]="profile.logo ? mediaEndpoint + 'logos/' + profile.logo : ''"
          (click)="closeDialog()"
        ></app-item-card>
      </ng-container>
    </ng-container>
  </div>

</mat-dialog-content>
